import 'package:adeptarch_base/src/filters/filters.dart';
import 'package:flutter/material.dart';

abstract class BaseFilterView<T extends Filter> extends StatefulWidget {

  late FilterController<T> filterController;
  late bool allowSorting;
  String? hint;

  BaseFilterView({
    FilterController<T>? filterController,
    bool? allowSorting,
    this.hint,
  }){
    this.filterController = filterController ?? FilterController<T>();
    this.allowSorting = allowSorting ?? true;
  }
}